> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trytldw.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete videos by ID

> Warning: this action is irreversible. Data about the media will be lost. Only videos owned by the user can be deleted. To delete all videos in a collection, delete the collection instead.



## OpenAPI

````yaml delete /media/
openapi: 3.1.0
info:
  title: tl;dw
  version: 0.0.1
  x-logo:
    url: https://app.trytldw.ai/static/images/sidebar_logo.svg
    backgroundColor: transparent
    altText: tl;dw Logo
  contact:
    name: tl;dw Support
    url: https://app.trytldw.ai/support
  termsOfService: https://app.trytldw.ai/terms
  x-apisguru-categories:
    - video
    - ai
servers:
  - url: https://api.trytldw.ai/v1
security: []
tags:
  - name: Collection
    description: Collection
  - name: Video
    description: Media
  - name: Account
    description: Account
paths:
  /media/:
    delete:
      tags:
        - Index or Embed Videos
      summary: Delete videos by ID
      description: >-
        Warning: this action is irreversible. Data about the media will be lost.
        Only videos owned by the user can be deleted. To delete all videos in a
        collection, delete the collection instead.
      operationId: delete_media_media__delete
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteMediaRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteMediaResponse'
        '400':
          description: >-
            Too many media IDs provided; Up to 100 media can be deleted at a
            time
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DeleteMediaRequest:
      properties:
        media_ids:
          items:
            type: string
          type: array
          title: Media Ids
          description: >-
            The IDs of the media to delete. Maximum 200 media can be deleted per
            request
          examples:
            - c1a2b3c4-1a2b-3c4d-5e6f-7g8h9i0j1k2l
      type: object
      required:
        - media_ids
      title: DeleteMediaRequest
    DeleteMediaResponse:
      properties:
        media_deleted:
          type: integer
          title: Media Deleted
          description: Number of media successfully deleted
          examples:
            - 1
      type: object
      required:
        - media_deleted
      title: DeleteMediaResponse
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````